Bug 1487106 - UEFI does not work on RHEL 7.4
Summary: UEFI does not work on RHEL 7.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Roman Plevka
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1483740 1487107 1493164
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 09:21 UTC by Roman Plevka
Modified: 2019-09-26 16:13 UTC (History)
5 users (show)

Fixed In Version: foreman-installer-1.15.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:09:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20814 0 Normal Closed UEFI does not work on RHEL 7.4 2020-09-21 08:58:31 UTC

Description Roman Plevka 2017-08-31 09:21:42 UTC
Description of problem:
The recent patch for grub (shipped with rhel7.4) has caused a regression for netbooting the 6-octet addresses:

https://bugzilla.redhat.com/show_bug.cgi?id=1370642#c70

This results in grub trying (and failing) to locate the grub.cfg file in the following format (note the extra '-' at the end of the mac-string):

Client 192.168.100.21 File not found /grub2/grub.cfg-01-52-54-00-a3-87-02-

This might be tackled by tweaking the regular expression in the grub.cfg file, to match an optional ':' in the advertised mac address, however the shipped grub seems to be missing the regexp.mod module ( we might need to fix this too).

Version-Release number of selected component (if applicable):
6.3.0-snap#12

How reproducible:
always

Steps to Reproduce:
1. just create some uefi vm
2. try to provision it using satellite

Comment 3 Satellite Program 2017-08-31 12:19:02 UTC
Upstream bug assigned to lzap@redhat.com

Comment 4 Satellite Program 2017-08-31 12:19:05 UTC
Upstream bug assigned to lzap@redhat.com

Comment 5 Satellite Program 2017-08-31 14:19:11 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20814 has been resolved.

Comment 6 Lukas Zapletal 2017-09-26 11:16:22 UTC
QA NOTES: Broken Grub2 7.4 workaround will only work when both of the following Bfs are fixed:

https://bugzilla.redhat.com/show_bug.cgi?id=1487106
https://bugzilla.redhat.com/show_bug.cgi?id=1493164

Comment 7 Roman Plevka 2017-09-26 11:24:24 UTC
failed_qa.
this hasn't been fixed yet. also the bz is dependent on bz#1493164

Comment 8 Roman Plevka 2017-10-06 09:21:41 UTC
(In reply to Lukas Zapletal from comment #6)
> QA NOTES: Broken Grub2 7.4 workaround will only work when both of the
> following Bfs are fixed:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1487106
> https://bugzilla.redhat.com/show_bug.cgi?id=1493164

i believe you meant:
https://bugzilla.redhat.com/show_bug.cgi?id=1487107 (as ..106 is the bugzilla we're having this conversation in)

Comment 9 Roman Plevka 2017-10-10 12:50:25 UTC
VERIFIED
on sat6.3.0-19

the pxe handoff works after implementing https://bugzilla.redhat.com/show_bug.cgi?id=1493164


Oct 10 08:48:48 dell-pe-fm120-1b dhcpd: DHCPREQUEST for 192.168.100.13 (192.168.100.1) from 52:54:00:35:dd:33 via virbr0
Oct 10 08:48:48 dell-pe-fm120-1b dhcpd: DHCPACK on 192.168.100.13 to 52:54:00:35:dd:33 via virbr0
Oct 10 08:48:48 dell-pe-fm120-1b in.tftpd[11131]: RRQ from 192.168.100.13 filename grub2/grubx64.efi
Oct 10 08:48:48 dell-pe-fm120-1b in.tftpd[11131]: tftp: client does not accept options
Oct 10 08:48:48 dell-pe-fm120-1b in.tftpd[11132]: RRQ from 192.168.100.13 filename grub2/grubx64.efi
Oct 10 08:48:48 dell-pe-fm120-1b in.tftpd[11132]: Client 192.168.100.13 finished grub2/grubx64.efi
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11133]: RRQ from 192.168.100.13 filename /grub2/grub.cfg-01-52-54-00-35-dd-33-
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11133]: Client 192.168.100.13 File not found /grub2/grub.cfg-01-52-54-00-35-dd-33-
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11134]: RRQ from 192.168.100.13 filename /grub2/grub.cfg-C0A8640D
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11134]: Client 192.168.100.13 File not found /grub2/grub.cfg-C0A8640D
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11135]: RRQ from 192.168.100.13 filename /grub2/grub.cfg-C0A8640
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11135]: Client 192.168.100.13 File not found /grub2/grub.cfg-C0A8640
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11136]: RRQ from 192.168.100.13 filename /grub2/grub.cfg-C0A864
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11136]: Client 192.168.100.13 File not found /grub2/grub.cfg-C0A864
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11137]: RRQ from 192.168.100.13 filename /grub2/grub.cfg-C0A86
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11137]: Client 192.168.100.13 File not found /grub2/grub.cfg-C0A86
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11138]: RRQ from 192.168.100.13 filename /grub2/grub.cfg-C0A8
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11138]: Client 192.168.100.13 File not found /grub2/grub.cfg-C0A8
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11139]: RRQ from 192.168.100.13 filename /grub2/grub.cfg-C0A
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11139]: Client 192.168.100.13 File not found /grub2/grub.cfg-C0A
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11140]: RRQ from 192.168.100.13 filename /grub2/grub.cfg-C0
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11140]: Client 192.168.100.13 File not found /grub2/grub.cfg-C0
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11141]: RRQ from 192.168.100.13 filename /grub2/grub.cfg-C
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11141]: Client 192.168.100.13 File not found /grub2/grub.cfg-C
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11142]: RRQ from 192.168.100.13 filename /grub2/grub.cfg
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11142]: Client 192.168.100.13 finished /grub2/grub.cfg
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11143]: RRQ from 192.168.100.13 filename grub2/x86_64-efi/command.lst
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11143]: Client 192.168.100.13 File not found grub2/x86_64-efi/command.lst
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11144]: RRQ from 192.168.100.13 filename grub2/x86_64-efi/fs.lst
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11144]: Client 192.168.100.13 File not found grub2/x86_64-efi/fs.lst
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11145]: RRQ from 192.168.100.13 filename grub2/x86_64-efi/crypto.lst
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11145]: Client 192.168.100.13 File not found grub2/x86_64-efi/crypto.lst
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11146]: RRQ from 192.168.100.13 filename grub2/x86_64-efi/terminal.lst
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11146]: Client 192.168.100.13 File not found grub2/x86_64-efi/terminal.lst
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11147]: RRQ from 192.168.100.13 filename /grub2/grub.cfg
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11147]: Client 192.168.100.13 finished /grub2/grub.cfg
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11148]: RRQ from 192.168.100.13 filename grub2/grub.cfg-01-52-54-00-35-dd-33
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11148]: Client 192.168.100.13 finished grub2/grub.cfg-01-52-54-00-35-dd-33
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11149]: RRQ from 192.168.100.13 filename grub2/grub.cfg-01-52-54-00-35-dd-33
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11149]: Client 192.168.100.13 finished grub2/grub.cfg-01-52-54-00-35-dd-33
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11150]: RRQ from 192.168.100.13 filename grub2/grub.cfg-01-52-54-00-35-dd-33
Oct 10 08:48:49 dell-pe-fm120-1b in.tftpd[11150]: Client 192.168.100.13 finished grub2/grub.cfg-01-52-54-00-35-dd-33

Comment 10 Bryan Kearney 2018-02-21 17:09:06 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.